<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PETSC_COMM_SELF</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PETSC_COMM_SELF"><H1>PETSC_COMM_SELF</H1></A>
a duplicate of the MPI_COMM_SELF communicator which represents the current process 
<P>
Notes: <A HREF="../Sys/PETSC_COMM_SELF.html#PETSC_COMM_SELF">PETSC_COMM_SELF</A> and MPI_COMM_SELF are equivalent.
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>
<BR>
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>beginner
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../include/petsc.h.html#PETSC_COMM_SELF">include/petsc.h</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/sys/examples/tutorials/ex1.c.html">src/sys/examples/tutorials/ex1.c.html</A><BR>
<A HREF="../../../src/sys/examples/tutorials/ex2.c.html">src/sys/examples/tutorials/ex2.c.html</A><BR>
<A HREF="../../../src/vec/vec/examples/tutorials/ex6.c.html">src/vec/vec/examples/tutorials/ex6.c.html</A><BR>
<A HREF="../../../src/vec/vec/examples/tutorials/ex8.c.html">src/vec/vec/examples/tutorials/ex8.c.html</A><BR>
<A HREF="../../../src/vec/vec/examples/tutorials/ex13.c.html">src/vec/vec/examples/tutorials/ex13.c.html</A><BR>
<A HREF="../../../src/vec/vec/examples/tutorials/ex17.c.html">src/vec/vec/examples/tutorials/ex17.c.html</A><BR>
<A HREF="../../../src/vec/vec/examples/tutorials/ex4f.F.html">src/vec/vec/examples/tutorials/ex4f.F.html</A><BR>
<A HREF="../../../src/vec/vec/examples/tutorials/ex4f90.F.html">src/vec/vec/examples/tutorials/ex4f90.F.html</A><BR>
<A HREF="../../../src/vec/is/examples/tutorials/ex1.c.html">src/vec/is/examples/tutorials/ex1.c.html</A><BR>
<A HREF="../../../src/vec/is/examples/tutorials/ex2.c.html">src/vec/is/examples/tutorials/ex2.c.html</A><BR>
<A HREF="../../../src/vec/is/examples/tutorials/ex3.c.html">src/vec/is/examples/tutorials/ex3.c.html</A><BR>
</BODY></HTML>
